--天墉城
--副本入口

--脚本号
x101007_g_scriptId=101007

x100 = 3
--事件交互入口
function x101007_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"你好。")

    AddNumText(scene,x101007_g_scriptId,"你平常做點什麽",-1,1)
	AddNumText(scene,x101007_g_scriptId,"變身",-2,2)
	AddNumText(scene,x101007_g_scriptId,"傳送到沙漠",-2,3)
	AddNumText(scene,x101007_g_scriptId,"換個位面",-2,4)
	AddNumText(scene,x101007_g_scriptId,"恢復位面",-2,5)
	AddNumText(scene,x101007_g_scriptId,"傳送到楚皇都",-2,6)	
	AddNumText(scene,x101007_g_scriptId,"天夢林",-2,7)
	AddNumText(scene,x101007_g_scriptId,"黑暗森林",-2,8)
	AddNumText(scene,x101007_g_scriptId,"第級副本",-2,10)
	AddNumText(scene,x101007_g_scriptId,"高級副本",-2,12)
	AddNumText(scene,x101007_g_scriptId,"朱雀之爭",-1,13)
	AddNumText(scene,x101007_g_scriptId,"三環本第一環",-2,14)
	AddNumText(scene,x101007_g_scriptId,"三環本第二環",-2,15)
	AddNumText(scene,x101007_g_scriptId,"三環本第三環",-2,16)
	AddNumText(scene,x101007_g_scriptId,"劇情副本:君臨宴",-1,17)
	AddNumText(scene,x101007_g_scriptId,"劇情副本:地獄臺",-1,18)
	AddNumText(scene,x101007_g_scriptId,"三環本周第一環",-1,19)
	AddNumText(scene,x101007_g_scriptId,"三環本周第二環",-1,20)
	AddNumText(scene,x101007_g_scriptId,"三環本周第三環",-1,22)
	AddNumText(scene,x101007_g_scriptId,"妖界挑戰",-1,23)
	AddNumText(scene,x101007_g_scriptId,"仙界挑戰",-1,24)
	AddNumText(scene,x101007_g_scriptId,"魔界挑戰",-1,25)
	AddNumText(scene,x101007_g_scriptId,"劇情本:丹王殿",-1,26)
	AddNumText(scene,x101007_g_scriptId,"劇情本:拜劍崖",-1,27)
	AddNumText(scene,x101007_g_scriptId,"周挑戰",-1,28)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x101007_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==0 then
		GotoCopyScene(scene,selfId,1)
	elseif index==1 then
		BeginEvent(scene)
			AddText(scene,"吃飯睡覺")
			AddNumText(scene,x101007_g_scriptId,"你為什麽不打豆豆",-1,11)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
		elseif index==11 then
		BeginEvent(scene)
			AddText(scene,"我就是豆豆")
		AddNumText(scene,x101007_g_scriptId,"結束對話",-1,111)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
		elseif index==111 then
	    x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 2 then
		BianShen(scene,selfId,1)
	elseif index==3 then
		ChangeScene(scene,selfId,2,92,79)
	elseif index==4 then
		SetDimensionId(scene,selfId,selfId)
		--CreateMonster(scene,selfId,selfId)
	elseif index==5 then
		SetDimensionId(scene,selfId,0)
	elseif index==6 then
		ChangeScene(scene,selfId,4,88,486)
	elseif index==7 then
		GotoCopyScene(scene,selfId,3)
	elseif index==8 then
		GotoCopyScene(scene, selfId, 4)
	elseif index==10 then
		GotoCopyScene(scene,selfId,5)
	elseif index==12 then
		GotoCopyScene(scene,selfId,6)
	elseif index == 13 then
		BeginEvent(scene)
		AddText(scene,"請選擇")
		AddNumText(scene,x101007_g_scriptId,"進入副本",-2,1301)
		AddNumText(scene,x101007_g_scriptId,"便捷組隊",-2,1302,0,400)
		AddNumText(scene,x101007_g_scriptId,"副本說明",-1,1303)
		AddNumText(scene,x101007_g_scriptId,"返回",-1,1304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1301 then
		GotoCopyScene(scene,selfId,7)
	elseif index == 1302 then
		BeginEvent(scene)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1303 then
		BeginEvent(scene)
		AddText(scene,"玩法說明：\n1. 活動開啟30分鐘，開啟時間隊伍獲得古運越多則排名越高\n2. 隊伍玩家人數不低於3人\n3. 在副本內刷完怪後會掉落隨機屬性的增益到玩家身上\n4. 隊長根據掉落的增益屬性選擇對應克製的傳送點進行傳送\n5. 克製關系：四種元素屬性克製為\「水克火\」、\「火克木\」、\「木克雷\」、\「雷克水\」\n6. 克製效果：\n選擇相克屬性：獲得攻擊增益\n選擇被克製屬性：獲得攻擊減益 \n選擇無克製屬性：不獲得增益或減益")
		AddNumText(scene,x101007_g_scriptId,"進入副本",-2,1301)
		AddNumText(scene,x101007_g_scriptId,"便捷組隊",-2,1302,0,400)
		AddNumText(scene,x101007_g_scriptId,"副本說明",-1,1303)
		AddNumText(scene,x101007_g_scriptId,"返回",-1,1304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1304 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 14 then
		GotoCopyScene(scene, selfId, 301)
	elseif index == 15 then
		GotoCopyScene(scene, selfId, 302)
	elseif index == 16 then
		--GotoCopyScene(scene, selfId, 303)
		GotoCopyScene(scene, selfId, 303)
	elseif index==17 then
		BeginEvent(scene)
		AddText(scene,"請選擇")
		AddNumText(scene,x101007_g_scriptId,"難度：普通",-2,170101)
		AddNumText(scene,x101007_g_scriptId,"難度：精英",-2,170102)
		AddNumText(scene,x101007_g_scriptId,"難度：史詩",-2,170103)
		AddNumText(scene,x101007_g_scriptId,"便捷組隊",-2,170104,0)
		AddNumText(scene,x101007_g_scriptId,"副本說明",-1,170105)
		AddNumText(scene,x101007_g_scriptId,"返回",-1,170106)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index==170101 then
		GotoCopyScene(scene,selfId,211)
	elseif index==170102 then	
		GotoCopyScene(scene,selfId,212)
	elseif index==170103 then
		GotoCopyScene(scene,selfId,213)
	elseif index==170104 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index==170105 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index==170106 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index==18 then
		BeginEvent(scene)
		AddText(scene,"請選擇")
		AddNumText(scene,x101007_g_scriptId,"難度：普通",-2,180201)
		AddNumText(scene,x101007_g_scriptId,"難度：精英",-2,180202)
		AddNumText(scene,x101007_g_scriptId,"難度：史詩",-2,180203)
		AddNumText(scene,x101007_g_scriptId,"便捷組隊",-2,180204,0)
		AddNumText(scene,x101007_g_scriptId,"副本說明",-1,180205)
		AddNumText(scene,x101007_g_scriptId,"返回",-1,180206)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index==180201 then
		GotoCopyScene(scene,selfId,221)
	elseif index==180202 then	
		GotoCopyScene(scene,selfId,222)
	elseif index==180203 then
		GotoCopyScene(scene,selfId,223)
	elseif index==180204 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index==180205 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index==180206 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 19 then
		GotoCopyScene(scene, selfId, 401)
	elseif index == 20 then
		GotoCopyScene(scene, selfId, 402)
	elseif index == 22 then
		GotoCopyScene(scene, selfId, 403)
	elseif index == 23 then
		GotoCopyScene(scene, selfId, 407)
	elseif index == 24 then
		GotoCopyScene(scene, selfId, 408)
	elseif index == 25 then
		GotoCopyScene(scene, selfId, 409)
	elseif index == 26 then
		BeginEvent(scene)
		AddText(scene,"請選擇")
		AddNumText(scene,x101007_g_scriptId,"難度：普通",-2,260201)
		AddNumText(scene,x101007_g_scriptId,"難度：精英",-2,260202)
		AddNumText(scene,x101007_g_scriptId,"難度：史詩",-2,260203)
		AddNumText(scene,x101007_g_scriptId,"便捷組隊",-2,260204,0,103)
		AddNumText(scene,x101007_g_scriptId,"副本說明",-1,260205)
		AddNumText(scene,x101007_g_scriptId,"返回",-1,180206)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index==260201 then
		GotoCopyScene(scene,selfId,241)
	elseif index==260202 then	
		GotoCopyScene(scene,selfId,242)
	elseif index==260203 then
		GotoCopyScene(scene,selfId,243)
	elseif index==260204 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index==260205 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index==260206 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 27 then
		BeginEvent(scene)
		AddText(scene,"請選擇")
		AddNumText(scene,x101007_g_scriptId,"難度：普通",-2,270201)
		AddNumText(scene,x101007_g_scriptId,"難度：精英",-2,270202)
		AddNumText(scene,x101007_g_scriptId,"難度：史詩",-2,270203)
		AddNumText(scene,x101007_g_scriptId,"便捷組隊",-2,270204,0,104)
		AddNumText(scene,x101007_g_scriptId,"副本說明",-1,270205)
		AddNumText(scene,x101007_g_scriptId,"返回",-1,270206)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index==270201 then
		GotoCopyScene(scene,selfId,251)
	elseif index==270202 then	
		GotoCopyScene(scene,selfId,252)
	elseif index==270203 then
		GotoCopyScene(scene,selfId,253)
	elseif index==270204 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index==270205 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index==270206 then
		x101007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 28 then
		GotoCopyScene(scene,selfId,601)
	end


end